Show / Hide Table of Contents

# Class SocketGroupUser

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketUser
SocketGroupUser

##### Implements

IGroupUser
IUser
ISnowflakeEntity
IEntity<System.UInt64>
IMentionable
IPresence
IVoiceState

##### Inherited Members

SocketUser.CreatedAt
SocketUser.Discriminator
SocketUser.Mention
SocketUser.Activity
SocketUser.Status
SocketUser.ActiveClients
SocketUser.MutualGuilds
SocketUser.GetOrCreateDMChannelAsync(RequestOptions)
SocketUser.GetAvatarUrl(ImageFormat, UInt16)
SocketUser.GetDefaultAvatarUrl()
SocketUser.ToString()
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketGroupUser : SocketUser, IGroupUser, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence, IVoiceState

### Properties

| Improve this Doc View Source

#### AvatarId

Gets the identifier of this user's avatar.

##### Declaration

    public override string AvatarId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.AvatarId
| Improve this Doc View Source

#### Channel

Gets the group channel of the user.

##### Declaration

    public SocketGroupChannel Channel { get; }

##### Property Value

Type | Description
--- | ---
SocketGroupChannel | A SocketGroupChannel representing the channel of which the user belongs to.

| Improve this Doc View Source

#### DiscriminatorValue

Gets the per-username unique ID for this user.

##### Declaration

    public override ushort DiscriminatorValue { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

##### Overrides

SocketUser.DiscriminatorValue
| Improve this Doc View Source

#### IsBot

Gets a value that indicates whether this user is identified as a bot.

##### Declaration

    public override bool IsBot { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is a bot application; otherwise `false`.

##### Overrides

SocketUser.IsBot

##### Remarks

This property retrieves a value that indicates whether this user is a registered bot application (indicated by the blue BOT tag within the official chat client).

| Improve this Doc View Source

#### IsWebhook

Gets a value that indicates whether this user is a webhook user.

##### Declaration

    public override bool IsWebhook { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is a webhook; otherwise `false`.

##### Overrides

SocketUser.IsWebhook
| Improve this Doc View Source

#### Username

Gets the username for this user.

##### Declaration

    public override string Username { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.Username

### Explicit Interface Implementations

| Improve this Doc View Source

#### IVoiceState.IsDeafened

Gets a value that indicates whether this user is deafened by the guild.

##### Declaration

    bool IVoiceState.IsDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the user is deafened (i.e. not permitted to listen to or speak to others) by the guild; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsMuted

Gets a value that indicates whether this user is muted (i.e. not permitted to speak via voice) by the guild.

##### Declaration

    bool IVoiceState.IsMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user is muted by the guild; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSelfDeafened

Gets a value that indicates whether this user has marked themselves as deafened.

##### Declaration

    bool IVoiceState.IsSelfDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user has deafened themselves (i.e. not permitted to listen to or speak to others); otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSelfMuted

Gets a value that indicates whether this user has marked themselves as muted (i.e. not permitted to speak via voice).

##### Declaration

    bool IVoiceState.IsSelfMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user has muted themselves; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsStreaming

Gets a value that indicates if this user is streaming in a voice channel.

##### Declaration

    bool IVoiceState.IsStreaming { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the user is streaming; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSuppressed

Gets a value that indicates whether the user is muted by the current user.

##### Declaration

    bool IVoiceState.IsSuppressed { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the guild is temporarily blocking audio to/from this user; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.VoiceChannel

Gets the voice channel this user is currently in.

##### Declaration

    IVoiceChannel IVoiceState.VoiceChannel { get; }

##### Returns

Type | Description
--- | ---
IVoiceChannel | A generic voice channel object representing the voice channel that the user is currently in; `null` if none.

| Improve this Doc View Source

#### IVoiceState.VoiceSessionId

Gets the unique identifier for this user's voice session.

##### Declaration

    string IVoiceState.VoiceSessionId { get; }

##### Returns

Type | Description
--- | ---
System.String |

### Implements

IGroupUser
IUser
ISnowflakeEntity
IEntity<TId>
IMentionable
IPresence
IVoiceState